{
    template: '${tmpl}',
        data: function() {
            var that = this;
            var validateMethod = function (rule, value, callback) {

                if (rule.field == "mobile") {
                    if (/^1[23456789]\d{9}$/.test(value) == false) {
                        return callback(new Error("请输入正确格式的手机号"));
                    } else {
                        return callback();
                    }
                }
                return callback();
            };
            return {
                input: "",
                search: "",
                businessType: [
                    {
                        value: 'zzzc',
                        label: '自助申请'
                    },
                    {
                        value: 'zzfzzc',
                        label: '专家辅助申请'
                    },
                    {
                        value: 'dbsbzc',
                        label: '担保申请'
                    },

                ],
                DeliveryStatus: [
                    {
                        value: 'dfwsfw',
                        label: '待服务'
                    },
                    {
                        value: 'dsccl',
                        label: '待上传材料'
                    },
                    {
                        value: 'dqrfa',
                        label: '待确认方案'
                    },

                    {
                        value: 'fabtg',
                        label: '方案不通过'
                    },
                    {
                        value: 'dsh',
                        label: '待审核'
                    },
                    {
                        value: 'ddj',
                        label: '待递交'
                    },
                    {
                        value: 'ydj',
                        label: '已递交'
                    },
                    {
                        value: 'ywc',
                        label: '已完成'
                    },


                ],
                indentInfo: {
                    "channelServiceNo": "",
                    "deliveryOrderNo": "",
                    "itemCode": "",
                    "deliveryStatus": "",
                    "payStatus": "",
                    "tmName": "",
                    "name": "",
                    "startTime": "",
                    "entTime": "",
                    "pageIndex": 1,
                    "pageSize": 20
                },
                pickerOptions: {
                    shortcuts: [{
                        text: '最近一周',
                        onClick(picker) {
                            console.log(picker);
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
                            picker.$emit('pick', [start, end]);
                        }
                    }, {
                        text: '最近一个月',
                        onClick(picker) {
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
                            picker.$emit('pick', [start, end]);
                        }
                    }, {
                        text: '最近三个月',
                        onClick(picker) {
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
                            picker.$emit('pick', [start, end]);
                        }
                    }]
                },

                /*input绑定值 */
                channelServiceNo: null,
                deliveryOrderNo: null,
                tmName: null,
                name: null,
                itemName: null,
                inputDate: null,
                startTime: null,
                entTime: null,
                icbcStartTime: null,
                icbcEntTime: null,
                checkedStatus: null,
                /**$ */
                CreateDate: null,
                tableData: [],
                currentPage: 1,
                countPage: 0,
                pageSize: null,
                /* 上传资料弹框 */

                loading: false,
                loading1: false,
                loading2: false,
                loading3: false,
                loadingKey: 0,
                sumparams: ["totalSum", "nclOneCodesNum"],
                multipleSelection: [],
                isSingleSelect: false,
                bizCode: "",
                centerDialogVisible: false,
                activeIndex: "1",
                totalSum: 0,
                sfs: [
                    { field: 'totalSum', label: '订单金额' },
                ],
                form: {
                    tmFormType: 3,
                    name: "",
                    picUrl: "",
                    colorizedPicUrl: "",
                    selecttype: "自主选择",
                    totalPublicExpense: 0,
                    totalTaxes: 0,
                    totalSum: 0,
                    totalDiscounts: 0,
                    totalServiceCharge: 0,
                    totalProfitSum: 0,
                    remark: "",
                    sveItemRateConfig: "",
                },
                form1: {
                    title: "",
                    taxNum: "",
                    email: "",
                },
                deliveryStatus: '',
                form2: {
                    title: "",
                    taxNum: "",
                    companyAddress: "",
                    companyMobile: "",
                    companyBank: "",
                    bankNum: "",
                    picUrl: "",
                    recipient: "",
                    mobile: "",
                    city: "",
                    address: "",
                },
                rules1: {
                    title: [
                        { required: true, message: '请输入发票抬头', trigger: 'blur' },
                    ],
                    taxNum: [
                        { required: true, message: '请输入纳税号', trigger: 'blur' },
                    ],
                    email: [
                        { required: true, message: '请输入发票接收邮箱', trigger: 'blur' },
                        { type: 'email', message: '请输入正确的邮箱地址', trigger: ['blur', 'change'] }
                    ]
                },
                rules2: {
                    title: [
                        { required: true, message: '请输入发票抬头', trigger: 'blur' },
                    ],
                    taxNum: [
                        { required: true, message: '请输入纳税号', trigger: 'blur' },
                    ],
                    companyAddress: [
                        { required: true, message: '请输入备案地址', trigger: 'blur' },
                    ],
                    companyMobile: [
                        { required: true, message: '请输入备案电话', trigger: 'blur' },
                    ],
                    companyBank: [
                        { required: true, message: '请输入开户银行', trigger: 'blur' },
                    ],
                    bankNum: [
                        { required: true, message: '请输入银行账户', trigger: 'blur' },
                    ],
                    fileUrl: [
                        { required: true, message: '请上传纳税资格证明', trigger: 'blur' },
                    ],
                    recipient: [
                        { required: true, message: '请输入收件人', trigger: 'blur' },
                    ],
                    mobile: [
                        { required: true, message: '请输入手机号', trigger: 'blur' },
                        { validator: validateMethod, trigger: 'blur' },
                    ],
                    address: [
                        { required: true, message: '请输入详细地址', trigger: 'blur' },
                    ],
                },
                d: {},
                action: "",
                addressInfo: [],
                index: 0,
                orderId: "",
                stuff: {},
                showUploadStuff: false,
                currentOrderNo: "",
                currentOrderType: "",
                navActive: 'first',
                toViewImgKey: "",
                toViewImgType: false,
                toViewImgSrc: null,
                applyInfo: {},
                /* 公司注册选项 */
                region: [
                    {
                        label: '北京',
                        value: '北京',
                        children: [{
                            value: '朝阳区',
                            label: '朝阳区',
                        },
                        {
                            value: '海淀区',
                            label: '海淀区',
                        },
                        {
                            value: '顺义区',
                            label: '顺义区',
                        },
                        {
                            value: '东城区',
                            label: '东城区',
                        },
                        {
                            value: '西城区',
                            label: '西城区',
                        },
                        {
                            value: '丰台区',
                            label: '丰台区',
                        },
                        {
                            value: '石景山区',
                            label: '石景山区',
                        },
                        ]
                    },
                    {
                        value: '上海',
                        label: '上海',
                        children: [{
                            value: '杨浦区',
                            label: '杨浦区',
                        },
                        {
                            value: '嘉定区',
                            label: '嘉定区',
                        },
                        {
                            /*也是1的公司类型*/
                            value: '崇明区',
                            label: '崇明区',
                        },
                        ]
                    },
                    {
                        label: '杭州',
                        value: '杭州',
                        children: [{
                            value: '西湖区',
                            label: '西湖区',
                        },
                        {
                            value: '江干区',
                            label: '江干区',
                        },
                        {
                            value: '余杭区',
                            label: '余杭区',
                        },
                        {
                            value: '上城区',
                            label: '上城区',
                        },
                        {
                            value: '拱墅区',
                            label: '拱墅区',
                        },
                        {
                            value: '滨江区',
                            label: '滨江区',
                        },
                        {
                            value: '下城区',
                            label: '下城区',
                        },
                        {
                            value: '萧山区',
                            label: '萧山区',
                        },
                        ]
                    },
                    {
                        value: '深圳',
                        label: '深圳',
                        children: [{
                            value: '前海自贸区',
                            label: '前海自贸区',
                        },
                        {
                            value: '南山区',
                            label: '南山区',
                        },
                        {
                            value: '福田区',
                            label: '福田区',
                        },
                        {
                            value: '罗湖区',
                            label: '罗湖区',
                        },
                        {
                            value: '龙岗区',
                            label: '龙岗区',
                        },
                        ]
                    },
                    {
                        label: '成都',
                        value: '成都',
                        children: [{
                            value: '锦江区',
                            label: '锦江区',
                        },
                        {
                            value: '高新区',
                            label: '高新区',
                        },

                        ]
                    },
                    {
                        label: '广州',
                        value: '广州',
                        children: [{
                            value: '天河区',
                            label: '天河区',
                        },
                        {
                            value: '越秀区',
                            label: '越秀区',
                        },
                        ]
                    },
                ],
                regionValue: [],
                baseType: ["内资小规模", "内资一般人", "外资小规模", "外资一般人", "合资小规模", "合资一般人"],
                pullDownType: [],
                typeValue: "",
                baseForm: ["有限公司（除金融投资、教育培训、食品加工等限制行业）", "有限公司", "个人独资企业（除金融投资、教育培训、食品加工等限制行业）"],
                pullDownForm: [],
                formValue: "",
                icbcIndentInfo: {
                    "channelServiceNo": "",
                    "deliveryOrderNo": "",
                    "itemCode": "",
                    "deliveryStatus": "",
                    "payStatus": "",
                    "tmName": "",
                    "name": "",
                    "startTime": "",
                    "entTime": "",
                    "pageIndex": 1,
                    "pageSize": 30
                },
                icbcChannelServiceNo: "",
                icbcDeliveryOrderNo: "",
                icbcItemName: "",
                icbcDemonstration: "",
                icbcName: "",
                icbcCheckedStatus: "",
                icbcCreateDate: null,
                icbcDeliveryStatus: [
                    {
                        value: 'dsccl',
                        label: '待上传材料'
                    },
                    {
                        value: 'dqrfa',
                        label: '待确认方案'
                    },

                    {
                        value: 'fabtg',
                        label: '方案不通过'
                    },
                    {
                        value: 'dsh',
                        label: '待审核'
                    },
                    {
                        value: 'ddj',
                        label: '待递交'
                    },
                    {
                        value: 'ydj',
                        label: '已递交'
                    },
                    {
                        value: 'ywc',
                        label: '已完成'
                    },
                ],
                hidePage: true,
                user_Name: "",
                channelFrom:"",
            }

        },
    created: function() {
        if (this.$route.query.channelUserId != "") {
            this.$root.channelUserId = this.$route.query.channelUserId;
            console.log(this.$route.query.channelUserId, "11111111111");
            console.log(this.$route.fullPath.split("/")[this.$route.fullPath.split("/").length - 1]);
        }
        document.cookie.split('; ').map((item, index) => {
            if (item.includes('pin=')) {
                this.user_Name = encodeURIComponent(item.substring(4));
            }
            
        });
    },
    mounted: function() {
        var that = this;
        var obj = this.$root.copyParams("", "getOssConfig", "/action/tmTools/springBoard");
        this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
            console.log(d, `mmmmmmmmmmmmmmmmmmmmmmm`);
            that.d["key"] = "key";
            that.d["Bucket"] = d.data.Bucket;
            that.d["OSSAccessKeyId"] = d.data.OSSAccessKeyId;
            that.d["Signature"] = d.data.Signature;
            that.d["policy"] = d.data.policy;
            that.d["success_action_status"] = d.data.success_action_status;
            that.action = d.data.url;
            console.log(that.action, `oooooooooooooooooooooooooooo`);
        });
        if (this.$root.channelUserId != "") {
            this.handleSizeChange();
        }
        this.getChannelFrom();
    },

    methods: {
        getChannelFrom(){
            this.channelFrom = this.$root.getChannelPath();
        },
        checkedCity(e){
            let city = this.regionValue[0];
            let area = this.regionValue[1];
            if (city == "杭州" || city == "广州" || area == '东城区' || area == '西城区' || area == "丰台区" || area == '石景山区' || area == "杨浦区" || area == "嘉定区") {
                this.pullDownType = this.baseType.slice(0, 4);
            } else if (city == "深圳") {
                this.pullDownType = this.baseType.slice(0, 2);
            } else if (area == '朝阳区' || area == '顺义区' || area == '海淀区' || city == "成都") {
                this.pullDownType = this.baseType;
            }
            if (city == "北京") {
                this.pullDownForm = this.baseForm.slice(1, 2);
            } else if (city == "杭州" || city == "广州" || city == "成都" || city == "深圳" || area == "杨浦区" || area == "嘉定区") {
                this.pullDownForm = this.baseForm.slice(0, 1);
            } else if (area == "崇明区") {
                this.pullDownForm = this.baseForm.slice(1);
            }
        },
        loginOut(){
            /*
            var url = encodeURIComponent("http://tm.plus.jdcloud.com/#/jd/jdtrademark") ;
            
            */
            /*
             location.href = `http://login.jdcloud.com/logout?callback=http://tm.plus.jdcloud.com/#/jd/jdtrademark`;
             */

            let _this = this;
            $.ajax({
                async: true,
                url: "http://login.jdcloud.com/logout",
                type: "GET",
                dataType: "jsonp",
                jsonp: 'callback',
                jsonpCallback: 'handleResponse',
                data: {
                },
                success: function (response, status, xhr) {
                    console.log('状态为：' + status + ',状态是：' + xhr.statusText);
                    console.log(response);
                    if (response.code == 0) {
                        console.log(response);
                        _this.$router.push({ path: `/${_this.$root.channelName}/jdtrademark` });
                    }
                }
            });


        },

        toViewImg(src) {
            this.toViewImgSrc = src;
            this.toViewImgType = true
        },
        mouseOverDemo(v, k) {
            if (v == 99) {
                this.floatBoxDemo = true
            } else {
                if (k) {
                    this.toViewImgKey = k
                } else {
                    this.toViewImgKey = v
                }
            }
        },
        mouseLeaveDemo(v) {
            this.floatBoxDemo = false;
            this.toViewImgKey = null
        },
        navClick(tab, e){
            console.log(tab, e, this.navActive);
        },
        tableRowClassName({ row, rowIndex }) {
            if (rowIndex === 1) {
                return 'warning-row';
            } else if (rowIndex === 3) {
                return 'success-row';
            }
            return '';
        },
        viewDetails(index, row) {
            console.log(index, row);
            this.currentOrderType = row.itemName;
            this.deliveryStatus = row.deliveryStatus;
            this.$router.push({
                path: `/${this.$root.channelName}/jdindentdetail`,
                query: {
                    deliveryOrderNo: row.deliveryOrderNo,
                    channelUserId: this.$route.query.channelUserId,
                    deliveryStatus: this.deliveryStatus,
                    totalSum: row.totalSum,
                }
            });
        },
        showSelf(index, row){
            /* 
            console.log(index, row);
            */

            if ((row.deliveryStatus == "dsccl")) {
                if (this.showReg(index, row)) {
                    return false
                }
                return true;
            } else {
                return false;
            }
        },
        showSup(index, row){
            if (row.deliveryStatus == "dqrfa") {
                return true;
            } else {
                return false;
            }
        },
        showDetails(idx, row){
            if (row.deliveryStatus == 'dfwsfw') {
                return false;
            } else if (row.deliveryStatus != 'dqrfa') {
                if (this.showReg(idx, row)) {
                    return false
                }
                return true;
            } else {
                return false;
            }
        },
        showReg(idx, row){
            if (row.itemCode == 'zzsbzc') {
                if (!row.tmName || !row.nclOneCodes || !row.name) {
                    return true;
                } else {
                    return false;
                }
            }
        },
        goScheme(index, row){
            console.log(index, row);
            this.$router.push({
                path: `/${this.$root.channelName}/jdregscheme`,
                query: {
                    channelUserId: this.$route.query.channelUserId,
                    deliveryOrderNo: row.deliveryOrderNo,
                }
            });
        },
        goSelftmreg(index, row){
            this.$router.push({
                path: `/${this.$root.channelName}/selftmreg`,
                query: {
                    channelUserId: this.$route.query.channelUserId,
                    deliveryOrderNo: row.deliveryOrderNo,
                    channelOrderNo: row.channelServiceNo,
                    dqPath: '/jdindentlist',
                    dqName: '订单列表'
                }
            });
            window.scrollTo(0, 0);
        },
        handleSizeChange(){
            if (this.$route.query.channelUserId != "") {
                this.indentInfo.pageIndex = this.currentPage;
                var obj = this.$root.copyParams(this.indentInfo, "getTmOrderList", "/action/tmOrder/springBoard", "yes", "yes");
                this.$root.loading = true;
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then((d) => {
                    this.$root.loading = false;
                    console.log(d.data);
                    if (d.status == 0 && d.data) {
                        console.log(d.data, "12313213");
                        this.tableData = d.data;
                        /* 没有分页参数 需要重新改*/
                        this.countPage = d.dataCount;
                        /**
                         * this.countPage.length > 10 ? this.hidePage = false: this.hidePage = true;
                        console.log(this.hidePage,`xxxxxxxxxxxxxxxxxxxxxxxxxxxx`);
                         * 
                         */

                        d.data.map((item, index) => {
                            if (item.submitTime) {
                                item.submitTime = new Date(item.submitTime).toLocaleString('chinese', { hour12: false });
                            } else {
                                item.submitTime = '';
                            }
                            if (item.CreateDate) {
                                item.CreateDate = new Date(item.CreateDate).toLocaleDateString('chinese', { hour12: false });
                            } else {
                                item.CreateDate = '';
                            }
                        });
                    } else {
                        console.log(d, "getTmOrderList...........");
                    }
                });
            }

        },

        reset(){
            this.channelServiceNo = null;
            this.deliveryOrderNo = null;
            this.name = null;
            this.itemName = null;
            this.tmName = null;
            this.CreateDate = null;
            console.log(this.CreateDate);
            this.deliveryStatus = null;
        },
        find(){
            this.indentInfo.channelServiceNo = this.channelServiceNo;
            this.indentInfo.deliveryOrderNo = this.deliveryOrderNo;
            this.indentInfo.name = this.name;
            this.indentInfo.itemName = this.itemName;
            this.indentInfo.tmName = this.tmName;
            this.indentInfo.CreateDate = this.CreateDate;
            this.indentInfo.deliveryStatus = this.checkedStatus;
            this.indentInfo.startTime = this.startTime || "";
            this.indentInfo.entTime = this.entTime || "";
            this.handleSizeChange();
        },
        icbcReset(){
            this.icbcChannelServiceNo = null;
            this.icbcDeliveryOrderNo = null;
            this.icbcItemName = null;
            this.icbcCreateDate = null;
            this.regionValue = null;
            this.icbcName = null;
            console.log(this.CreateDate);
            this.icbcCheckedStatus = null;
        },
        icbcFind(){
            this.icbcIndentInfo.channelServiceNo = this.channelServiceNo;
            this.icbcIndentInfo.deliveryOrderNo = this.deliveryOrderNo;
            this.icbcIndentInfo.name = this.name;
            this.icbcIndentInfo.itemName = this.itemName;
            this.icbcIndentInfo.tmName = this.tmName;
            this.icbcIndentInfo.CreateDate = this.CreateDate;
            this.icbcIndentInfo.deliveryStatus = this.checkedStatus;
            this.icbcIndentInfo.startTime = this.startTime || "";
            this.icbcIndentInfo.entTime = this.entTime || "";
            this.handleSizeChange();
        },
        dateChecked(v){
            this.startTime = new Date(v[0]).toLocaleDateString('chinese', { hour12: false }).replace(/\//g, '-');
            this.entTime = new Date(v[1]).toLocaleDateString('chinese', { hour12: false }).replace(/\//g, '-');
            console.log(this.startTime, this.entTime);
        },
        icbcDateChecked(v){
            this.icbcStartTime = new Date(v[0]).toLocaleDateString('chinese', { hour12: false }).replace(/\//g, '-');
            this.icbcEntTime = new Date(v[1]).toLocaleDateString('chinese', { hour12: false }).replace(/\//g, '-');
        },
        /**上传资料弹窗 */
        setKey(name, flag){
            name = name.substring(name.length - 5);
            var myDate = new Date();
            var key = "zc_" + Math.round(Math.random() * 500) + myDate.getMonth() + myDate.getTime() + myDate.getFullYear() + myDate.getDate() + myDate.getHours() + myDate.getMinutes() + myDate.getSeconds() + myDate.getMilliseconds() + name.replace(" ", "");
            this.$refs[flag].d.key = key;
        },
        uploadsuccess(obj){
            var that = this;
            console.log(obj, `xxxxxxxxxxxxxxxxxxxxxxxx`);
            if (this.loadingKey == 1) {
                that.loading1 = true;
            } else if (this.loadingKey == 2) {
                that.loading2 = true;
            } else if (this.loadingKey == 3) {
                that.loading3 = true;
            } else if (this.loadingKey == 0) {
                that.loading = true;
            }

            if (obj.flag == "yyzz") {
                console.log(obj.result, "...........................");
                this.stuff.businessLicensePic = obj.result;
                var pic2pdf = { "key": obj.result };
                var pic2pdf = this.$root.copyParams(pic2pdf, "pic2pdf", "/action/tmTools/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", pic2pdf).then(function (d) {
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    if (d.status == 0) {
                        that.stuff.businessLicensePdf = d.data.url;
                    } else {
                        that.stuff.businessLicensePdf = "";

                        that.$message.warning(`上传失败请重新上传`);
                        return false;
                    }
                }).catch(function (e) {
                    that.stuff.businessLicensePic = "";
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    that.$message.warning(`上传失败请重新上传`);
                    return false;
                })
            }
            if (obj.flag == "sfz") {
                var sfz = { word: this.form.name };
                var sfz = this.$root.copyParams(sfz, "pic2pdf", "/action/tmTools/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", sfz).then(function (d) {
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    if (d.status == 0) {
                        that.stuff.identityCardPic = obj.result;
                        that.stuff.identityCardPdf = d.data.url;
                    } else {
                        that.stuff.identityCardPic = "";
                        that.stuff.identityCardPdf = "";
                        that.$message.warning(`上传失败请重新上传`);
                        return false;
                    }
                }).catch(function (e) {
                    that.stuff.identityCardPic = "";
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    that.$message.warning(`上传失败请重新上传`);
                    return false;
                })
            }
            if (obj.flag == "wts") {
                var adjustWTSSize = { "key": obj.result };
                var adjustWTSSize = this.$root.copyParams(adjustWTSSize, "adjustWTSSize", "/action/tmTools/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", adjustWTSSize).then(function (d) {
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    if (d.status == 0) {
                        that.stuff.gzwtsUrl = d.data.url;
                        console.log(d.data.url);
                    } else {
                        that.$refs[obj.flag][0].result = "";

                        that.$message.warning(`上传失败请重新上传`);
                        return false;
                    }

                }).catch(function () {
                    that.$refs[obj.flag][0].result = "";
                    that.loading1 = false;
                    that.loading2 = false;
                    that.loading3 = false;
                    that.loading = false;
                    that.$message.warning(`上传失败请重新上传`);
                    return false;
                });
            }
            if (obj.flag == "yxq") {
                that.loading1 = false;
                that.loading2 = false;
                that.loading3 = false;
                that.loading = false;
                that.stuff.smwjUrl = obj.result
            }
        },

        error(err){
            this.$message.warning(`上传失败，请重新上传`);
        },
        hideUploadStuff(){
            this.stuff = {};
            this.showUploadStuff = false;
        },
        uploadMaterials(index, row){
            console.log(row, `zzzzzzzzzzzzzzzzzzzzzz`);
            this.showUploadStuff = true;
            this.currentOrderNo = row.deliveryOrderNo;
            this.currentName = row.name;
            this.stuff.customerType = row.customerType;
            this.stuff.businessLicensePic = row.businessLicensePic;
            this.stuff.identityCardPic = row.identityCardPic;
            this.stuff.smwjUrl = row.smwjUrl;
        },
        uploadStuffs(){
            console.log(this.stuff);
            this.stuff.deliveryOrderNo = this.currentOrderNo;
            this.stuff.name = this.currentName;
            var obj = this.$root.copyParams(this.stuff, "updateOfficial", "/action/tmOrder/springBoard", "yes", "yes");
            this.$root.loading = true;
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then((res) => {
                this.$root.loading = false;
                console.log(res);
                if (res.status == 0) {
                    this.handleSizeChange();
                    this.showUploadStuff = false;
                    this.$message({ message: "上传成功", type: 'success' });
                }
            }).catch((e) => {
                this.$message(e);
            });
        },
    },
    vname: "gsb-jdindentlist"
}
